Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Halide::Internal::ExprUsesVars< T > Class Template Reference

`#include <ExprUsesVar.h>`

Inheritance diagram for Halide::Internal::ExprUsesVars< T >:

## Public Member Functions
| ExprUsesVars (const Scope< T > &v, const Scope< Expr > *s=nullptr)
Public Member Functions inherited from Halide::Internal::IRVisitor
| IRVisitor ()=default
virtual | ~IRVisitor ()=default

## Public Attributes
bool | result = false

## Additional Inherited Members
Protected Member Functions inherited from Halide::Internal::IRGraphVisitor
void | visit (const IntImm *) override
| These methods should call 'include' on the children to only visit them if they haven't been visited already.
void | visit (const UIntImm *) override
void | visit (const FloatImm *) override
void | visit (const StringImm *) override
void | visit (const Cast *) override
void | visit (const Reinterpret *) override
void | visit (const Add *) override
void | visit (const Sub *) override
void | visit (const Mul *) override
void | visit (const Div *) override
void | visit (const Mod *) override
void | visit (const Min *) override
void | visit (const Max *) override
void | visit (const EQ *) override
void | visit (const NE *) override
void | visit (const LT *) override
void | visit (const LE *) override
void | visit (const GT *) override
void | visit (const GE *) override
void | visit (const And *) override
void | visit (const Or *) override
void | visit (const Not *) override
void | visit (const Select *) override
void | visit (const Load *) override
void | visit (const Ramp *) override
void | visit (const Broadcast *) override
void | visit (const Let *) override
void | visit (const LetStmt *) override
void | visit (const AssertStmt *) override
void | visit (const ProducerConsumer *) override
void | visit (const Store *) override
void | visit (const Provide *) override
void | visit (const Allocate *) override
void | visit (const Free *) override
void | visit (const Realize *) override
void | visit (const Block *) override
void | visit (const Fork *) override
void | visit (const IfThenElse *) override
void | visit (const Evaluate *) override
void | visit (const Call *) override
void | visit (const Variable *) override
void | visit (const For *) override
void | visit (const Acquire *) override
void | visit (const Shuffle *) override
void | visit (const Prefetch *) override
void | visit (const HoistedStorage *) override
void | visit (const Atomic *) override
void | visit (const VectorReduce *) override

## Detailed Description

template<typename T = void>
class Halide::Internal::ExprUsesVars< T >

Definition at line 16 of file ExprUsesVar.h.

## Constructor & Destructor Documentation

## ◆ ExprUsesVars()

template<typename T = void>

Halide::Internal::ExprUsesVars< T >::ExprUsesVars | ( | const Scope< T > & | v,
|  | const Scope< Expr > * | s = `nullptr`
| ) |  |
| inline

Definition at line 89 of file ExprUsesVar.h.

References Halide::cast(), and Halide::Internal::Scope< T >::set_containing_scope().

## Member Data Documentation

## ◆ result

template<typename T = void>

bool Halide::Internal::ExprUsesVars< T >::result = false

Definition at line 93 of file ExprUsesVar.h.

The documentation for this class was generated from the following file:

- src/ExprUsesVar.h